Subject: Re: 32-bit kernel on PPC64 supported?

From: Arnd Bergmann <[email-masked]>
Date: Fri, 18 Jul 2008 23:24:08 +0200

On Friday 18 July 2008, Marvin wrote:
> in which POWER4 is always undefined, e.g. in 
> include/asm-powerpc/mmu_context.h. Maybe this is a leftover from times, where 
> 64-bit kernels where not supported on Powermacs. Is this 32-bit support still 
> necessary?

There is currently no 64-bit machine that is supported by current kernels,
and I don't think there is any reason to add this again.

I'm not sure what the point of your plan to replace CONFIG_POWER4 is, but
it sounds like this case is slightly different, as you remove a potential
feature, so I guess it should be a separate patch.

	Arnd <><